{
  "compilerOptions": {
    "target": "es2022",
    "useDefineForClassFields": false,
    "forceConsistentCasingInFileNames": true,
    "strict": true,
    "noImplicitOverride": true,
    "noPropertyAccessFromIndexSignature": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "paths": {
      "@app/*": ["apps/front/src/app/*"],
      "@configs/*": ["apps/front/src/configs/*"],
      "@libs/*": ["apps/front/src/libs/*"],
      "@adapters/*": ["apps/front/src/app/adapters/*"],
      "@usecases/*": ["apps/front/src/app/usecases/*"],
      "@domain/*": ["apps/front/src/app/domain/*"]
    }
  },
  "files": [],
  "include": [],
  "references": [
    {
      "path": "./tsconfig.app.json"
    },
    {
      "path": "./tsconfig.spec.json"
    },
    {
      "path": "./tsconfig.editor.json"
    },
    {
      "path": "./.storybook/tsconfig.json"
    }
  ],
  "extends": "../../tsconfig.base.json",
  "angularCompilerOptions": {
    "enableI18nLegacyMessageIdFormat": false,
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true
  }
}
